UNICYCLER_ALIGN(1)

NAME
unicycler_align - sensitive semi-global long read aligner

SYNOPSIS
unicycler_align [-h] --ref REF --reads READS --sam SAM [--contamination CONTAMINATION] [--scores SCORES] [--low_score LOW_SCORE] [--keep_bad] [--sensitivity SENSITIVITY] [--threads THREADS] [--verbosity VERBOSITY] [--min_len MIN_LEN] [--allowed_overlap ALLOWED_OVERLAP]

DESCRIPTION
Unicycler align - a sensitive semi-global long read aligner

OPTIONS

-h, --help
    show this help message and exit

--ref REF
    FASTA file containing one or more reference sequences

--reads READS
    FASTQ or FASTA file of long reads

--sam SAM
    SAM file of resulting alignments

--contamination CONTAMINATION
    FASTA file of known contamination in long reads

--scores SCORES
    Comma-delimited string of alignment scores: match, mismatch, gap open, gap extend (default: 3,-6,-5,-2)

--low_score LOW_SCORE
    Score threshold - alignments below this are considered poor (default: set threshold automatically)

--keep_bad
    Include alignments in the results even if they are below the low score threshold (default: low-scoring alignments are discarded)

--sensitivity SENSITIVITY
    A number from 0 (least sensitive) to 3 (most sensitive) (default: 0)

--threads THREADS
    Number of threads used (default: number of CPUs, up to 8)

--verbosity VERBOSITY
    Level of stdout information (0 to 4) (default: 1)

--min_len MIN_LEN
    Minimum alignment length (bp) - exclude alignments shorter than this length (default: 100)

--allowed_overlap ALLOWED_OVERLAP
    Allow this much overlap between alignments in a single read (default: 100)

SEE ALSO
unicycler(1)

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.